package ru.ulstu.extractor.controller;

import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.GetMapping;
import ru.ulstu.extractor.service.RuleService;
import springfox.documentation.annotations.ApiIgnore;

import static ru.ulstu.extractor.controller.Route.LIST_RULE;

@Controller
@ApiIgnore
public class RuleController {
    private RuleService ruleService;

    public RuleController(RuleService ruleService) {
        this.ruleService = ruleService;
    }

    @GetMapping(LIST_RULE)
    public String getList(Model model) {
        model.addAttribute("rules", ruleService.getList());
        return LIST_RULE;
    }
}
