package ru.ulstu.extractor.service;

import org.springframework.stereotype.Service;
import ru.ulstu.extractor.model.Rule;
import ru.ulstu.extractor.repository.RuleRepository;

import java.util.List;

@Service
public class RuleService {
    private final RuleRepository ruleRepository;

    public RuleService(RuleRepository ruleRepository) {
        this.ruleRepository = ruleRepository;
    }

    public List<Rule> getList() {
        return ruleRepository.findAll();
    }
}
